### Method

# Atk Registry get_factory

#### Declaration [src]

    AtkObjectFactory*
    atk_registry_get_factory (
      AtkRegistry* registry,
      GType type
    )

#### Description [src]

Gets an `AtkObjectFactory` appropriate for creating `AtkObjects` appropriate for `type`.

#### Parameters

`type`

  Type: `GType`

  A `GType` with which to look up the associated `AtkObjectFactory`.

#### Return value

Type: `AtkObjectFactory`

An `AtkObjectFactory` appropriate for creating `AtkObjects` appropriate for `type`.

The returned data is owned by the instance.